Index: inc/admin/actions/class.dcactionposts.php
===================================================================
--- inc/admin/actions/class.dcactionposts.php	(revision 3105)
+++ inc/admin/actions/class.dcactionposts.php	(revision 3421)
@@ -362,7 +362,5 @@
 					dcPage::jsLoad('js/jquery/jquery.autocomplete.js').
 					'<script type="text/javascript">'."\n".
-					"//<![CDATA[\n".
 					'usersList = ['.$usersList.']'."\n".
-					"\n//]]>\n".
 					"</script>\n"
 			);
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 3418)
+++ inc/admin/lib.dc.page.php	(revision 3421)
@@ -175,7 +175,5 @@
 			echo
 			'<script type="text/javascript">'."\n".
-			"//<![CDATA[\n".
-			self::jsVar('dotclear_htmlFontSize',$core->auth->user_prefs->interface->htmlfontsize).
-			"\n//]]>\n".
+			self::jsVar('dotclear_htmlFontSize',$core->auth->user_prefs->interface->htmlfontsize)."\n".
 			"</script>\n";
 		}
@@ -189,7 +187,5 @@
 			echo
 			'<script type="text/javascript">'."\n".
-			"//<![CDATA[\n".
-			'dotclear.hideMoreInfo = true;'.
-			"\n//]]>\n".
+			'dotclear.hideMoreInfo = true;'."\n".
 			"</script>\n";
 		}
@@ -421,7 +417,5 @@
 			echo
 			'<script type="text/javascript">'."\n".
-			"//<![CDATA[\n".
-			self::jsVar('dotclear_htmlFontSize',$core->auth->user_prefs->interface->htmlfontsize).
-			"\n//]]>\n".
+			self::jsVar('dotclear_htmlFontSize',$core->auth->user_prefs->interface->htmlfontsize)."\n".
 			"</script>\n";
 		}
@@ -435,7 +429,5 @@
 			echo
 			'<script type="text/javascript">'."\n".
-			"//<![CDATA[\n".
-			'dotclear.hideMoreInfo = true;'.
-			"\n//]]>\n".
+			'dotclear.hideMoreInfo = true;'."\n".
 			"</script>\n";
 		}
@@ -688,7 +680,5 @@
 		}
 		return '<script type="text/javascript">'."\n".
-					"//<![CDATA[\n".
-					'dotclear.unfolded_sections = {'.join(",",$unfolded_sections)."};\n".
-					"\n//]]>\n".
+				'dotclear.unfolded_sections = {'.join(",",$unfolded_sections)."};\n".
 				"</script>\n";
 	}
@@ -700,7 +690,5 @@
 			$mute_or_no .=
 				'<script type="text/javascript">'."\n".
-				"//<![CDATA[\n".
-				'jQuery.migrateMute = true;'.
-				"\n//]]>\n".
+				'jQuery.migrateMute = true;'."\n".
 				"</script>\n";
 		}
@@ -716,5 +704,4 @@
 
 		'<script type="text/javascript">'."\n".
-		"//<![CDATA[\n".
 		'jsToolBar = {}, jsToolBar.prototype = { elements : {} };'."\n".
 		self::jsVar('dotclear.nonce',$GLOBALS['core']->getNonce()).
@@ -840,5 +827,5 @@
 		self::jsVar('dotclear.msg.module_tags',
 			__('Tags:')).
-			"\n//]]>\n".
+			"\n".
 		"</script>\n";
 	}
@@ -867,8 +854,6 @@
 		self::jsLoad('js/confirm-close.js').
 		'<script type="text/javascript">'."\n".
-		"//<![CDATA[\n".
 		"confirmClosePage = new confirmClose(".$args."); ".
 		"confirmClose.prototype.prompt = '".html::escapeJS(__('You have unsaved changes.'))."'; ".
-		"\n//]]>\n".
 		"</script>\n";
 	}
@@ -883,9 +868,7 @@
 		self::jsLoad('js/jquery/jquery.pageTabs.js').
 		'<script type="text/javascript">'."\n".
-		"//<![CDATA[\n".
 		'$(function() {'."\n".
-		'$.pageTabs('.$default.');'."\n".
+		'	$.pageTabs('.$default.');'."\n".
 		'});'.
-		"\n//]]>\n".
 		"</script>\n";
 	}
@@ -911,5 +894,4 @@
 		self::jsLoad('js/date-picker.js').
 		'<script type="text/javascript">'."\n".
-		"//<![CDATA[\n".
 
 		"datePicker.prototype.months[0] = '".html::escapeJS(__('January'))."'; ".
@@ -940,5 +922,4 @@
 		"datePicker.prototype.now_msg = '".html::escapeJS(__('now'))."'; ".
 
-		"\n//]]>\n".
 		"</script>\n";
 	}
@@ -964,5 +945,4 @@
 		return
 		'<script type="text/javascript">'."\n".
-		"//<![CDATA[\n".
 		"dotclear.jsUpload = {};\n".
 		"dotclear.jsUpload.msg = {};\n".
@@ -986,5 +966,4 @@
 		self::jsVar('dotclear.jsUpload.msg.queue_error',__('Queue error:')).
 		self::jsVar('dotclear.jsUpload.base_url',$base_url).
-		"\n//]]>\n".
 		"</script>\n".
 
@@ -1011,9 +990,7 @@
 		self::jsLoad('js/filter-controls.js').
 		'<script type="text/javascript">'."\n".
-		"//<![CDATA["."\n".
 		self::jsVar('dotclear.msg.show_filters', $show ? 'true':'false')."\n".
 		self::jsVar('dotclear.msg.filter_posts_list',__('Show filters and display options'))."\n".
 		self::jsVar('dotclear.msg.cancel_the_filter',__('Cancel filters and display options'))."\n".
-		"//]]>".
 		"</script>";
 	}
@@ -1044,6 +1021,5 @@
 	{
 		$ret =
-			'<script type="text/javascript">'.
-			'//<![CDATA['."\n".
+			'<script type="text/javascript">'."\n".
 			'var '.$name.' = CodeMirror.fromTextArea('.$id.',{'."\n".
 			'	mode: "'.$mode.'",'."\n".
@@ -1054,12 +1030,11 @@
 			'	autoCloseBrackets: "true",'."\n".
 			'	extraKeys: {"F11": function(cm) {cm.setOption("fullScreen",!cm.getOption("fullScreen"));}}';
-			if ($theme) {
-				$ret .=
-					','."\n".
-					'	theme: "'.$theme.'"';
-			}
-		$ret .=
-			"\n".'});'."\n".
-			'//]]>'.
+		if ($theme) {
+			$ret .=
+				','."\n".
+				'	theme: "'.$theme.'"';
+		}
+		$ret .= "\n".
+			'});'."\n".
 			'</script>';
 		return $ret;
Index: inc/core/class.dc.utils.php
===================================================================
--- inc/core/class.dc.utils.php	(revision 3133)
+++ inc/core/class.dc.utils.php	(revision 3421)
@@ -129,11 +129,9 @@
 	public static function jsVars($vars)
 	{
-		$ret = '<script type="text/javascript">'."\n".
-				"//<![CDATA[\n";
+		$ret = '<script type="text/javascript">'."\n";
 		foreach ($vars as $var => $value) {
 			$ret .= 'var '.$var.' = '.(is_string($value) ? '"'.html::escapeJS($value).'"' : $value).';'."\n";
 		}
-		$ret .= "\n//]]>\n".
-				"</script>\n";
+		$ret .= "</script>\n";
 
 		return $ret;
Index: inc/public/default-templates/currywurst/post.html
===================================================================
--- inc/public/default-templates/currywurst/post.html	(revision 3371)
+++ inc/public/default-templates/currywurst/post.html	(revision 3421)
@@ -25,7 +25,5 @@
 	<script type="text/javascript" src="{{tpl:BlogQmarkURL}}pf=post.js"></script>
 	<script type="text/javascript">
-		//<![CDATA[
 		var post_remember_str = '{{tpl:lang Remember me on this blog}}';
-		//]]>
 	</script>
 </tpl:Block>
Index: inc/public/default-templates/dotty/post.html
===================================================================
--- inc/public/default-templates/dotty/post.html	(revision 3371)
+++ inc/public/default-templates/dotty/post.html	(revision 3421)
@@ -25,7 +25,5 @@
 	<script type="text/javascript" src="{{tpl:BlogQmarkURL}}pf=post.js"></script>
 	<script type="text/javascript">
-		//<![CDATA[
 		var post_remember_str = '{{tpl:lang Remember me on this blog}}';
-		//]]>
 	</script>
 </tpl:Block>
Index: inc/public/default-templates/mustek/post.html
===================================================================
--- inc/public/default-templates/mustek/post.html	(revision 3371)
+++ inc/public/default-templates/mustek/post.html	(revision 3421)
@@ -30,7 +30,5 @@
 	<script type="text/javascript" src="{{tpl:BlogQmarkURL}}pf=post.js"></script>
 	<script type="text/javascript">
-		//<![CDATA[
 		var post_remember_str = '{{tpl:lang Remember me on this blog}}';
-		//]]>
 	</script>
 </tpl:Block>