Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 1615)
+++ admin/blog.php	(revision 2166)
@@ -72,5 +72,5 @@
 				__('System') => '',
 				__('Blogs') => 'blogs.php',
-				'<span class="page-title">'.__('New blog').'</span>' => ''
+				__('New blog') => ''
 			))
 	);
Index: admin/blog_del.php
===================================================================
--- admin/blog_del.php	(revision 1733)
+++ admin/blog_del.php	(revision 2166)
@@ -54,5 +54,5 @@
 			__('System') => '',
 			__('Blogs') => 'blogs.php',
-			'<span class="page-title">'.__('Delete a blog').'</span>' => ''
+			__('Delete a blog') => ''
 		))
 );
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 2028)
+++ admin/blog_pref.php	(revision 2166)
@@ -270,6 +270,7 @@
 		array(
 			html::escapeHTML($blog_name) => '',
-			'<span class="page-title">'.__('Blog settings').'</span>' => ''
-		));
+			__('Blog settings') => ''
+		)
+	);
 } else {
 	$breadcrumb = dcPage::breadcrumb(
@@ -277,5 +278,5 @@
 			__('System') => '',
 			__('Blogs') => 'blogs.php',
-			'<span class="page-title">'.__('Blog settings').' : '.html::escapeHTML($blog_name).'</span>' => ''
+			__('Blog settings').' : '.html::escapeHTML($blog_name) => ''
 		));
 }
Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 2145)
+++ admin/blogs.php	(revision 2166)
@@ -88,5 +88,5 @@
 		array(
 			__('System') => '',
-			'<span class="page-title">'.__('List of blogs').'</span>' => ''
+			__('List of blogs')
 		))
 );
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 2125)
+++ admin/categories.php	(revision 2166)
@@ -107,5 +107,5 @@
 		array(
 			html::escapeHTML($core->blog->name) => '',
-			'<span class="page-title">'.__('Categories').'</span>' => ''
+			__('Categories') => ''
 		))
 );
Index: admin/category.php
===================================================================
--- admin/category.php	(revision 2117)
+++ admin/category.php	(revision 2166)
@@ -166,5 +166,5 @@
 	}
 }
-$elements['<span class="page-title">'.$title.'</span>'] = '';
+$elements[$title] = '';
 
 dcPage::open($title,
Index: admin/comment.php
===================================================================
--- admin/comment.php	(revision 1972)
+++ admin/comment.php	(revision 2166)
@@ -164,5 +164,5 @@
 			html::escapeHTML($core->blog->name) => '',
 			html::escapeHTML($post_title) => $core->getPostAdminURL($post_type,$post_id).'&amp;co=1#c'.$comment_id,
-			'<span class="page-title">'.__('Edit comment').'</span>' => ''
+			__('Edit comment') => ''
 		));
 } else {
@@ -171,5 +171,5 @@
 			html::escapeHTML($core->blog->name) => '',
 			html::escapeHTML($post_title) => $core->getPostAdminURL($post_type,$post_id),
-			'<span class="page-title">'.__('Edit comment').'</span>' => ''
+			__('Edit comment') => ''
 		));
 }
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 2145)
+++ admin/comments.php	(revision 2166)
@@ -169,5 +169,5 @@
 		array(
 			html::escapeHTML($core->blog->name) => '',
-			'<span class="page-title">'.__('Comments and trackbacks').'</span>' => ''
+			__('Comments and trackbacks') => ''
 		))
 );
Index: admin/help.php
===================================================================
--- admin/help.php	(revision 2074)
+++ admin/help.php	(revision 2166)
@@ -77,10 +77,10 @@
 		array(
 			__('Global help') => 'help.php',
-			'<span class="page-title">'.$content_array['title'].'</span>' => ''
+			$content_array['title'] => ''
 		));
 } else {
 	$breadcrumb = dcPage::breadcrumb(
 		array(
-			'<span class="page-title">'.__('Global help').'</span>' => ''
+			__('Global help') => ''
 		));
 }
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 2174)
+++ admin/index.php	(revision 2175)
@@ -226,7 +226,8 @@
 	dcPage::breadcrumb(
 		array(
-		'<span class="page-title">'.__('Dashboard').' : '.html::escapeHTML($core->blog->name).'</span>' => ''
+		__('Dashboard').' : '.html::escapeHTML($core->blog->name) => ''
 		),
-		false)
+		array('home_link' =>false)
+	)
 );
 
Index: admin/langs.php
===================================================================
--- admin/langs.php	(revision 2007)
+++ admin/langs.php	(revision 2166)
@@ -133,5 +133,5 @@
 	array(
 		__('System') => '',
-		'<span class="page-title">'.__('Languages management').'</span>' => ''
+		__('Languages management') => ''
 	))
 );
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 2152)
+++ admin/media.php	(revision 2167)
@@ -212,6 +212,8 @@
 				html::escapeHTML($core->blog->name) => '',
 				__('Media manager') => '',
-				'<span class="page-title">'.__('confirm removal').'</span>' => ''
-			),!$popup)
+				__('confirm removal') => ''
+			),
+			array('home_link' => !$popup)
+		)
 	);
 	
@@ -240,6 +242,8 @@
 		array(
 			html::escapeHTML($core->blog->name) => '',
-			'<span class="page-title">'.__('Media manager').'</span>' => ''
-		),!$popup);
+			__('Media manager') => ''
+		),
+		array('home_link' => !$popup)
+	);
 } else {
 	$breadcrumb_media = $core->media->breadCrumb(html::escapeURL($page_url).'&amp;d=%s','<span class="page-title">%s</span>');
@@ -248,6 +252,8 @@
 			array(
 				html::escapeHTML($core->blog->name) => '',
-				'<span class="page-title">'.__('Media manager').'</span>' => ''
-			),!$popup);
+				__('Media manager') => ''
+			),
+			array('home_link' => !$popup)
+		);
 	} else {
 		$breadcrumb = dcPage::breadcrumb(
@@ -256,5 +262,10 @@
 				__('Media manager') => html::escapeURL($page_url.'&d='),
 				$breadcrumb_media => ''
-			),!$popup);
+			),
+			array(
+				'home_link' => !$popup,
+				'hl' => false
+			)
+		);
 	}
 }
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 2106)
+++ admin/media_item.php	(revision 2167)
@@ -206,5 +206,10 @@
 			__('Media manager') => html::escapeURL($media_page_url),
 			$core->media->breadCrumb(html::escapeURL($media_page_url).'&amp;d=%s').'<span class="page-title">'.$file->basename.'</span>' => ''
-		),!$popup)
+		),
+		array(
+			'home_link' => !$popup,
+			'hl' => false
+		)
+	)
 );
 
Index: admin/plugin.php
===================================================================
--- admin/plugin.php	(revision 1358)
+++ admin/plugin.php	(revision 2166)
@@ -85,5 +85,5 @@
 			array(
 				__('System') => '',
-				'<span class="page-title">'.__('Plugin not found').'</span>' => ''
+				__('Plugin not found') => ''
 			))
 	);
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 2174)
+++ admin/plugins.php	(revision 2175)
@@ -157,5 +157,5 @@
 		array(
 			__('System') => '',
-			'<span class="page-title">'.__('Plugins management').'</span>' => ''
+			__('Plugins management') => ''
 		))
 );
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2142)
+++ admin/post.php	(revision 2166)
@@ -385,5 +385,5 @@
 			html::escapeHTML($core->blog->name) => '',
 			__('Entries') => 'posts.php',
-			'<span class="page-title">'.($post_id ? $page_title_edit : $page_title).'</span>' => ''
+			($post_id ? $page_title_edit : $page_title) => ''
 		))
 );
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 2145)
+++ admin/posts.php	(revision 2166)
@@ -229,5 +229,5 @@
 		array(
 			html::escapeHTML($core->blog->name) => '',
-			'<span class="page-title">'.__('Entries').'</span>' => ''
+			__('Entries') => ''
 		))
 );
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 2152)
+++ admin/preferences.php	(revision 2166)
@@ -382,5 +382,5 @@
 	array(
 		html::escapeHTML($core->auth->userID()) => '',
-		'<span class="page-title">'.$page_title.'</span>' => ''
+		$page_title => ''
 	))
 );
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 1912)
+++ admin/search.php	(revision 2166)
@@ -74,5 +74,5 @@
 		array(
 			html::escapeHTML($core->blog->name) => '',
-			'<span class="page-title">'.__('Search').'</span>' => ''
+			__('Search') => ''
 		))
 );
Index: admin/update.php
===================================================================
--- admin/update.php	(revision 1792)
+++ admin/update.php	(revision 2166)
@@ -178,5 +178,5 @@
 		array(
 			__('System') => '',
-			'<span class="page-title">'.__('Dotclear update').'</span>' => ''
+			__('Dotclear update') => ''
 		))
 );
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 1719)
+++ admin/user.php	(revision 2166)
@@ -186,5 +186,5 @@
 			__('System') => '',
 			__('Users') => 'users.php',
-			'<span class="page-title">'.$page_title.'</span>' => ''
+			$page_title => ''
 		))
 );
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 2145)
+++ admin/users.php	(revision 2166)
@@ -109,5 +109,5 @@
 		array(
 			__('System') => '',
-			'<span class="page-title">'.__('Users').'</span>' => ''
+			__('Users') => ''
 		))
 );
Index: admin/users_actions.php
===================================================================
--- admin/users_actions.php	(revision 2108)
+++ admin/users_actions.php	(revision 2166)
@@ -136,5 +136,5 @@
 			__('System') => '',
 			__('Users') => 'users.php',
-			'<span class="page-title">'.__('Permissions').'</span>' => ''
+			__('Permissions') => ''
 		));
 } else {
@@ -143,5 +143,5 @@
 			__('System') => '',
 			__('Users') => 'users.php',
-			'<span class="page-title">'.__('Actions').'</span>' => ''
+			__('Actions') => ''
 		));
 }