Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 1179)
+++ admin/style/default.css	(revision 1235)
@@ -13,8 +13,11 @@
 
 /* ------------------------------------------------------------------ html */
+html {
+	font-size: 62.5%;
+}
 body {
-	font: 75%/1.5em Helvetica,Arial,sans-serif;
+	font: 1.2rem/1.5 Helvetica,Arial,sans-serif;
 	color: #333;
-	background: #f5f5f5;
+	background: #fff;
 	margin: 0;
 	padding: 0;
@@ -38,10 +41,10 @@
 h1, h2, h3, h4, h5, h6, p {
 	margin-top: 0;
-	margin-bottom: 0.6em;
+	margin-bottom: 1rem;
 }
 h2 {
 	color: #666;
-	font-size: 1.4em;
-	padding: 4px 0;
+	font-size: 1.8rem;
+	padding: 0 0 .6rem;
 }
 .page-title {
@@ -50,5 +53,5 @@
 h3 {
 	color: #333;
-	font-size: 1.2em;
+	font-size: 1.2rem;
 }
 p, div.p {
@@ -83,15 +86,15 @@
 #header {
 	background: #575859;
-	height: 3em;
+	height: 3.2rem;
 	position: relative;
 }
 #prelude {
-	background: #575859;
-	line-height: 1.5em;
-	margin: 0;
-	padding: 0 1.7em 0 1em;
+	background: transparent;
+	line-height: 2;
+	margin: 0;
+	padding: 0 1rem 0;
 	overflow: hidden;
 	position: absolute;
-	top: 1.2em;
+	top: 3.2rem;
 	left: 0;
 	}
@@ -100,7 +103,5 @@
 	margin: 0 1em 0 0;
 	background:transparent;
-	}
-#prelude li a {
-	color:#fff;
+	display: inline;
 	}
 #top {
@@ -113,5 +114,5 @@
 	padding: 0;
 	margin: 0;
-	height: 3em;
+	height: 3.2rem;
 	text-indent: -1000px;
 	background: transparent url(dc_logo.png) no-repeat 0 50%;
@@ -134,5 +135,5 @@
 #info-box1 {
 	margin: 0;
-	padding: .5em 3px 4px 0;
+	padding: .5em 3px 4px 1.8rem;
 	color: #fff;
 	float: left;
@@ -173,8 +174,8 @@
 }
 #info-box2 a.active {
-	border-bottom-color: #f5f5f5;
+	border-bottom-color: #fff;
 	margin: 0;
 	padding: 1.2em .5em;
-	background-color: #f5f5f5;
+	background-color: #fff;
 	color: #333;
 	font-weight: bold;
@@ -192,11 +193,10 @@
 	margin-left: -13em;
 	margin-top: 0;
+	background: #fff url(dc_bg.png);
 }
 #content {
-	margin: 1.5em 1.5em .5em 13em;
-	padding: 1em;
+	margin: 0 0 0 13em;
+	padding: 1.8rem;
 	background: #fff;
-	border-radius: .5em;
-	border: 1px solid #ddd;
 }
 	/* Micro clearfix thx to Nicolas Gallagher */
@@ -276,17 +276,18 @@
 	width: 13em;
 	float: left;
-	margin-top: 1.2em;
-	margin-bottom: .5em;
+	margin-top: 2rem;
+	padding-bottom: 1rem;
+	background: #f7f7f7;
 }
 #main-menu h3 {
-	margin: 0 0 0.5em;
-	padding: .5em 0 0 .5em;
+	margin: 0 0 1.2rem;
+	padding: 0 0 0 .5em;
 	text-transform: uppercase;
 	color: #666;
-	font-size: 1.1em;
+	font-size: 1.4rem;
 }
 #main-menu ul {
-	font-size: .95em;
-	margin: 0 0 1em 0;
+	font-size: 1.2rem;
+	margin: 0 0 2rem 0;
 	padding: 0;
 	list-style: none;
@@ -294,5 +295,5 @@
 #main-menu li {
 	display: block;
-	margin: 0.5em 0 0;
+	margin: 0.6rem 0 0;
 	padding: .2em 0 0 32px;
 	background-repeat: no-repeat;
@@ -300,9 +301,9 @@
 }
 #main-menu a {
-	font-weight: bold;
+	color: #333;
 }
 #main-menu .active a {
 	border-bottom: none;
-	color: #333;
+	color: #d30e60;
 }
 #main-menu .active {
@@ -313,4 +314,5 @@
 	border-bottom: 1px solid #ddd;
 	margin-right: -1px;
+	font-weight: bolder;
 }
 #favorites-menu {
@@ -335,6 +337,7 @@
 #footer {
 	clear: both;
-	padding: .75em .75em 0 0;
+	padding: .6rem 1.2rem .6rem 0;
 	text-align: right;
+	border-top: .1rem solid #ccc;
 }
 #footer p {
@@ -782,16 +785,13 @@
 #help-button {
 	position: fixed;
-	top: 3.2em;
+	top: 5.6rem;
 	right: 0px;
 	cursor: pointer;
-	background: #fc3;
+	background: #FFD478 url(../images/page_help.png) no-repeat .6rem center;
 	border: 1px solid #dde;
 	border-right: none;
-	font-size: 1.1em;
-	font-weight: bold;
-	text-transform: capitalize;
-	padding: .33em .75em .33em 1em;
-	border-radius: 1em 0 0 1em;
-	color: #444;
+	padding: .3rem 1rem .3rem 3rem;
+	border-radius: 1rem 0 0 1rem;
+	color: #000;
 }
 .help-box {
@@ -808,8 +808,8 @@
 	display: block;
 	position: absolute;
-	top: 40px;
+	top: 4rem;
 	right: 0;
 	width: 280px;
-	border-left: 2px solid #fc3;
+	border-left: 2px solid #FFD478;
 	margin-top: 0;
 	padding: 10px 0 0 0;
@@ -992,5 +992,5 @@
 -------------------------------------------------------- */
 table {
-	font-size: 1em;
+	font-size: 1.2rem;
 	border-collapse: collapse;
 	margin: 0 0 1em 0;
@@ -1001,5 +1001,4 @@
 caption {
 	color: #333;
-	font-size: 1.2em;
 	font-weight: bold;
 	text-align: left;
@@ -1011,5 +1010,5 @@
 	border-style: solid;
 	border-color: #ccc;
-	padding: 3px 5px;
+	padding: .4rem .5rem;
 	vertical-align: top;
 }
@@ -1131,5 +1130,5 @@
 }
 input, textarea, select, option {
-	font: 1em "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;
+	font: 100% "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;
 }
 input[type=text], input[type=password], textarea {
@@ -1343,11 +1342,11 @@
 	border-radius: .5em;
 	margin-bottom: .1em;	
-	background: #2C8FD1 url(../images/add.png) no-repeat 6px center;
-	color: #fff;
-	padding: .2em 16px .2em 30px;
-	border: 1px solid #2373A8;
+	background: #AAce21 url(../images/add.png) no-repeat 6px center;
+	padding: .4rem 16px .4rem 30px;
+	border: 1px solid #ccc;
+	color: #000;
 }
 a.button.add:hover, a.button.add:focus {
-	background-color: #2373A8;
+	background-color: #fff;
 }
 
Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 1262)
+++ inc/core/class.dc.blog.php	(revision 1278)
@@ -81,5 +81,5 @@
 			$this->desc = $b->blog_desc;
 			$this->url = $b->blog_url;
-			$this->host = preg_replace('|^([a-z]{3,}://)(.*?)/.*$|','$1$2',$this->url);
+			$this->host = http::getHostFromURL($this->url);
 			$this->creadt = strtotime($b->blog_creadt);
 			$this->upddt = strtotime($b->blog_upddt);